slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPComputeError

Computes the error (based on the residual norm) associated with the i-th computed eigenpair.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPComputeError(PEP pep,PetscInt i,PEPErrorType type,PetscReal *error)

Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| i | - the solution index
| type | - the type of error to compute

### Output Parameter

| error | - the error

### Notes

The error can be computed in various ways, all of them based on the residual norm ||P(l)x||_2 where l is the eigenvalue and x is the eigenvector. See the users guide for additional details.

### See Also

PEPErrorType, PEPSolve(), PEPGetErrorEstimate()

### Level

beginner

### Location

src/pep/interface/pepsolve.c

### Examples

src/pep/tutorials/ex16.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages